Skip to main content
GET
/
v1
/
workflows
List Workflows
curl --request GET \
  --url https://flowker.sandbox.lerian.net/v1/workflows \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Payment Notification Flow",
      "description": "Receives a webhook trigger and logs the payment event.",
      "status": "active",
      "nodes": [
        {
          "id": "trigger-1",
          "type": "trigger",
          "name": "Webhook Trigger",
          "position": {
            "x": 0,
            "y": 0
          },
          "data": {
            "triggerId": "webhook"
          }
        },
        {
          "id": "log-event",
          "type": "action",
          "name": "Log Payment Event",
          "position": {
            "x": 200,
            "y": 0
          },
          "data": {
            "action": "log"
          }
        }
      ],
      "edges": [
        {
          "id": "e1",
          "source": "trigger-1",
          "target": "log-event"
        }
      ],
      "metadata": {
        "team": "payments"
      },
      "createdAt": "2026-03-17T14:30:00Z",
      "updatedAt": "2026-03-17T14:31:00Z"
    }
  ],
  "nextCursor": "",
  "hasMore": false
}

Authorizations

X-API-Key
string
header
required

API key for authenticating requests to the Flowker API. Provisioned via the API_KEY environment variable during deployment.

Query Parameters

status
enum<string>

Filter results by status.

Available options:
draft,
active,
inactive
limit
integer
default:10

Maximum number of items to return per page. Defaults to 10. Must be between 1 and 100.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the value from the nextCursor field in a previous response to retrieve the next page.

sortBy
enum<string>
default:createdAt

Field to sort results by.

Available options:
createdAt,
updatedAt,
name
sortOrder
enum<string>
default:DESC

Sort direction. Use ASC for ascending or DESC for descending.

Available options:
ASC,
DESC

Response

Indicates that the request was successful and the response contains the requested data.

hasMore
boolean

Indicates whether more pages are available.

Example:

true

items
object[]

List of workflow definitions in the current page.

nextCursor
string

Cursor to pass in the next request to retrieve the following page.

Example:

"eyJpZCI6ImExYjJjM2Q0In0="